function handleDateTimeSubmit() {
	var albumId = $(document).find('.radio-wrapper--selected input').val();
	var albumUrl = '/activity-photos/album/' + albumId;

	window.location.href = albumUrl;
}

function selectTime(el) {
	var activity = $(el).val();
	$('.radio--photo-module').parent().removeClass('radio-wrapper--selected');
	$(el).parent().addClass('radio-wrapper--selected');

	$('.photo-module__button--proceed').prop('disabled', false);

}

function getActivityTimes() {
	var activityId = $('.photo-module').data('activityid');
	var dateString = $('#datepicker-date').val();

	var url = '/ajax/photo-activity-times/' + activityId + '/' + dateString;

	$('.times').load(url);
}

$(document).ready(function() {

	var dateString = $('input.datepicker-hidden-field');
	var $form = $('.photo-module');

	$form.on('change', 'input', function(){
		selectTime($(this));
	});

	var pageLoad = true;

	$(document).on('change', $('input.datepicker-hidden-field'), function(el){
		if ($('input.datepicker-hidden-field').val() != dateString) {
			dateString = $('input.datepicker-hidden-field').val()
			getActivityTimes();
		}
	});

	$('.photo-module__button--proceed').on('click touchend', function(e) {
		e.preventDefault();

		handleDateTimeSubmit();
	});
});