<h2><?=__d('buzz_photos', 'Order Details')?></h2>
<table class="table--flat">
	<thead>
		<tr>
			<th width="20%">Preview</th>
			<th>Item</th>
			<th class="text-right"><?=__d('buzz_photos', 'Total')?></th>
		</tr>
	</thead>
	<tbody>
		<?php foreach ($data['OrderItem'] as $item): ?>
			<tr>
				<td><?=$this->Html->Image($item['thumb_url'], array('class' => 'img-responsive photo-module--thumb'))?></td>
				<td><?=__d('buzz_photos', 'Event Photograph')?></td>
				<td class="text-right"><?=$this->Number->currency($item['unit_price'])?></td>
			</tr>
		<?php endforeach; ?>
	</tbody>
	<tfoot>
		<tr>
			<th colspan="3" class="text-right">
				<strong><?=__d('buzz_photos', 'Total')?>: </strong>
				<?=$this->Number->currency($data['Order']['total_price'])?>
			</th>
		</tr>
	</tfoot>
</table>